network/palemoon: Updated for version 27.3.0.

Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
This commit is contained in:
skaendo 2017-05-05 11:26:08 +01:00 committed by Willy Sudiarto Raharjo
parent 88e83efcc5
commit 6551438cc5
No known key found for this signature in database
GPG key ID: 887B8374D7333381
4 changed files with 48 additions and 28 deletions

10
network/palemoon/TODO Normal file
View file

@ -0,0 +1,10 @@
pomfland has notified me that:
palemoon could potentially be using some
libraries belonging to seamonkey-solibs. A launcher script might be
necessary:
> export LD_LIBRARY_PATH=/opt/palemoon:/opt/palemoon/plugins
> /opt/palemoon/palemoon "$@"
I will look into this when I get a chance, since it seems non-critical.

View file

@ -0,0 +1,9 @@
if [ -x /usr/bin/update-desktop-database ]; then
/usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
if [ -x /usr/bin/gtk-update-icon-cache ]; then
/usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
fi
fi

View file

@ -24,13 +24,13 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=palemoon
VERSION=${VERSION:-27.2.1}
VERSION=${VERSION:-27.3.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i686) ARCH=i686 ;;
i?86) ARCH=i686 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@ -44,16 +44,17 @@ OUTPUT=${OUTPUT:-/tmp}
# We don't need cflags since nothing is being compiled here.
# We do need to check the architecture though and abort when it's not
# supported.
if [ ! "$ARCH" = "i686" ] && [ ! "$ARCH" = "x86_64" ]; then
if [ "$ARCH" = "i686" ]; then
# Check for sse2 flag and abort if not found
if ! grep -q sse2 /proc/cpuinfo; then
echo "No required SSE2 support detected. Aborting."
exit 1
fi
elif [ "$ARCH" != "x86_64" ]; then
echo "Sorry, binary packages are available only for i686 and x86_64. Aborting."
exit 1
fi
# Check for sse2 flag and abort if not found
[[ $(cat /proc/cpuinfo|grep sse2) ]] || {
echo "No required SSE2 support detected. Aborting."
exit 1; }
set -e
rm -rf $PKG
@ -61,32 +62,30 @@ mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM
tar xvf $CWD/$PRGNAM-$VERSION.en-US.linux-$ARCH.tar.bz2
chown -R root:root $PRGNAM
cd $PRGNAM
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
# Use system hunspell if user wants it
if [[ $USE_SYSTEM_SPELLCHECK == "yes" ]]; then
rm -rf palemoon/dictionaries
ln -sv /usr/share/hunspell palemoon/dictionaries
if [ "$USE_SYSTEM_SPELLCHECK" = "yes" ]; then
rm -rf dictionaries
ln -sv /usr/share/hunspell dictionaries
fi
# Create directories
mkdir -p $PKG/opt
mkdir -p $PKG/usr/bin
mkdir -p $PKG/usr/share/icons/hicolor/{16x16,32x32,48x48,128x128}/apps
mkdir -p $PKG/usr/share/applications
# Install pale moon into /opt
cp -vr palemoon $PKG/opt
mkdir -p $PKG/opt/palemoon
cp -vr * $PKG/opt/palemoon
# Link stuff
## binary
mkdir -p $PKG/usr/bin
ln -s /opt/palemoon/palemoon $PKG/usr/bin/palemoon
## icons
mkdir -p $PKG/usr/share/icons/hicolor/{16x16,32x32,48x48,128x128}/apps
ln -s /opt/palemoon/browser/chrome/icons/default/default16.png \
$PKG/usr/share/icons/hicolor/16x16/apps/palemoon.png
ln -s /opt/palemoon/browser/chrome/icons/default/default32.png \
@ -97,6 +96,7 @@ ln -s /opt/palemoon/browser/icons/mozicon128.png \
$PKG/usr/share/icons/hicolor/128x128/apps/palemoon.png
# Install .desktop file
mkdir -p $PKG/usr/share/applications
cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
@ -107,6 +107,7 @@ cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}

View file

@ -1,10 +1,10 @@
PRGNAM="palemoon"
VERSION="27.2.1"
VERSION="27.3.0"
HOMEPAGE="https://www.palemoon.org/"
DOWNLOAD="http://linux.palemoon.org/datastore/release/palemoon-27.2.1.en-US.linux-i686.tar.bz2"
MD5SUM="a8bf3e7235d54bb56cfcb273db9ad607"
DOWNLOAD_x86_64="http://linux.palemoon.org/datastore/release/palemoon-27.2.1.en-US.linux-x86_64.tar.bz2"
MD5SUM_x86_64="feb8bcb3d353265b58da4adfb236f42c"
DOWNLOAD="http://linux.palemoon.org/datastore/release/palemoon-27.3.0.en-US.linux-i686.tar.bz2"
MD5SUM="7276e616ebff5095c2166ea44ebd4c1c"
DOWNLOAD_x86_64="http://linux.palemoon.org/datastore/release/palemoon-27.3.0.en-US.linux-x86_64.tar.bz2"
MD5SUM_x86_64="d31119b52e29b3021f9353353b42906e"
REQUIRES=""
MAINTAINER="skaendo"
EMAIL="skaendo@excite.com"